Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.Validateresult

    java.lang.Object
      java.lang.Enum<Skype.Validateresult>
          com.skype.api.Skype.Validateresult

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Skype.Validateresult>

Enclosing class:
  Skype

    public static enum Skype.Validateresult

extends java.lang.Enum<Skype.Validateresult>
implements EnumConverting

A value of this type can be returned by one of the following methods (of Skype class): ValidateAvatar, ValidateProfileString, ValidatePassword.

Enum Constant Summary
`CONTAINS_INVALID_CHAR` Value contains illegal characters.
`CONTAINS_INVALID_WORD` Value contains invalid word.
`CONTAINS_SPACE` Value contains whitespace.
`INVALID_FORMAT` Value has invalid format.
`NOT_VALIDATED` Given property could not be validated.
`SAME_AS_USERNAME` Password cannot be the same as skypename.
`STARTS_WITH_INVALID_CHAR` Value starts with an invalid character.
`TOO_LONG` The value exceeds max size limit for the given property.
`TOO_SHORT` Password is too short.
`TOO_SIMPLE` Password is too simple.
`VALIDATED_OK` Avatar or profile string validation succeeded.

Field Summary
`static int` | `CONTAINS_INVALID_CHAR_VALUE`
`static int` | `CONTAINS_INVALID_WORD_VALUE`
`static int` | `CONTAINS_SPACE_VALUE`
`static int` | `INVALID_FORMAT_VALUE`
`static int` | `NOT_VALIDATED_VALUE`
`static int` | `SAME_AS_USERNAME_VALUE`
`static int` | `STARTS_WITH_INVALID_CHAR_VALUE`
`static int` | `TOO_LONG_VALUE`
`static int` | `TOO_SHORT_VALUE`
`static int` | `TOO_SIMPLE_VALUE`
`static int` | `VALIDATED_OK_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Skype.Validateresult` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Skype.Validateresult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.Validateresult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_VALIDATED

    public static final Skype.Validateresult NOT_VALIDATED

  Given property could not be validated. The length of the field was within limits and the value is assumed to be Ok. Your client should treat this value as equivalent to VALIDATED_OK.

### VALIDATED_OK

    public static final Skype.Validateresult VALIDATED_OK

  Avatar or profile string validation succeeded.

### TOO_SHORT

    public static final Skype.Validateresult TOO_SHORT

  Password is too short.

### TOO_LONG

    public static final Skype.Validateresult TOO_LONG

  The value exceeds max size limit for the given property.

### CONTAINS_INVALID_CHAR

    public static final Skype.Validateresult CONTAINS_INVALID_CHAR

  Value contains illegal characters.

### CONTAINS_SPACE

    public static final Skype.Validateresult CONTAINS_SPACE

  Value contains whitespace.

### SAME_AS_USERNAME

    public static final Skype.Validateresult SAME_AS_USERNAME

  Password cannot be the same as skypename.

### INVALID_FORMAT

    public static final Skype.Validateresult INVALID_FORMAT

  Value has invalid format.

### CONTAINS_INVALID_WORD

    public static final Skype.Validateresult CONTAINS_INVALID_WORD

  Value contains invalid word.

### TOO_SIMPLE

    public static final Skype.Validateresult TOO_SIMPLE

  Password is too simple.

### STARTS_WITH_INVALID_CHAR

    public static final Skype.Validateresult STARTS_WITH_INVALID_CHAR

  Value starts with an invalid character.

Field Detail

### NOT_VALIDATED_VALUE

    public static final int NOT_VALIDATED_VALUE

See Also:
  Constant Field Values

### VALIDATED_OK_VALUE

    public static final int VALIDATED_OK_VALUE

See Also:
  Constant Field Values

### TOO_SHORT_VALUE

    public static final int TOO_SHORT_VALUE

See Also:
  Constant Field Values

### TOO_LONG_VALUE

    public static final int TOO_LONG_VALUE

See Also:
  Constant Field Values

### CONTAINS_INVALID_CHAR_VALUE

    public static final int CONTAINS_INVALID_CHAR_VALUE

See Also:
  Constant Field Values

### CONTAINS_SPACE_VALUE

    public static final int CONTAINS_SPACE_VALUE

See Also:
  Constant Field Values

### SAME_AS_USERNAME_VALUE

    public static final int SAME_AS_USERNAME_VALUE

See Also:
  Constant Field Values

### INVALID_FORMAT_VALUE

    public static final int INVALID_FORMAT_VALUE

See Also:
  Constant Field Values

### CONTAINS_INVALID_WORD_VALUE

    public static final int CONTAINS_INVALID_WORD_VALUE

See Also:
  Constant Field Values

### TOO_SIMPLE_VALUE

    public static final int TOO_SIMPLE_VALUE

See Also:
  Constant Field Values

### STARTS_WITH_INVALID_CHAR_VALUE

    public static final int STARTS_WITH_INVALID_CHAR_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Skype.Validateresult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.Validateresult c : Skype.Validateresult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.Validateresult valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Skype.Validateresult get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.